# -*- rpm-spec -*-
# $Id: xemacs-ecb,v 1.12 2004/06/05 13:50:53 me Exp $

%define xemacs_package ecb

Name: xemacs-ecb
Version: 1.18
Release: alt1

Summary: Emacs source code browser
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2

PreReq: xemacsen
Requires: xemacs-base xemacs-semantic xemacs-eieio xemacs-fsf-compat xemacs-edit-utils xemacs-mail-lib xemacs-eshell xemacs-ediff xemacs-speedbar
BuildArch: noarch
BuildPreReq: xemacsen

%description
Emacs source code browser.
With Java code the ECB works best with the xemacs-jde package.

%prep
%setup -q -c

%install
%__mkdir_p %buildroot{%_xemacs_package_dir,%_xemacs_infodir}
%__cp -a . %buildroot%_xemacs_package_dir
%__install -m0644 info/*.info* %buildroot%_xemacs_infodir 
%xemacs_package_find_files

%__mkdir_p %buildroot%_xemacs_sitestartdir
%__cat <<EOF > %buildroot%_xemacs_sitestartdir/20%xemacs_package.el
;;; ecb help files layout
(custom-set-variables
    '(ecb-help-info-path "%_xemacs_infodir/ecb.info.gz")
)
EOF

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files
%_xemacs_sitestartdir/20%xemacs_package.el

%changelog
* Sat Jun 05 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.18-alt1
- 1.18

* Sat Feb 07 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.14-alt1
- 1.14

* Sat Nov 15 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.13-alt1
- 1.13

* Sat Oct 04 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.12-alt1
- 1.12

* Sat Sep 27 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.10-alt1
 - 1.10

* Sat Jul 05 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.08-alt1
 - 1.08

* Mon May 19 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.06-alt1
 - 1.06

* Wed Mar  5 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.01-alt1
- first build for %distribution distribution

